Loading...
Searching...
No Matches
casacore::python::numpy::ArrayCopy< String > Struct Reference

`#include <PycArrayNP.h>`

## Static Public Member Functions

static void | toPy (void *to, const String *from, size_t nr)
static void | fromPy (String *to, const void *from, size_t nr)
static Array< String > | toArray (const IPosition &shape, void *data, bool copy)

## Detailed Description

Definition at line 71 of file PycArrayNP.h.

## Member Function Documentation

## fromPy()

void casacore::python::numpy::ArrayCopy< String >::fromPy | ( | String * | to,
|  | const void * | from,
|  | size_t | nr )

static

## toArray()

Array< String > casacore::python::numpy::ArrayCopy< String >::toArray | ( | const IPosition & | shape,
|  | void * | data,
|  | bool | copy )

static

References casacore::ValueHolder::asInt().

## toPy()

void casacore::python::numpy::ArrayCopy< String >::toPy | ( | void * | to,
|  | const String * | from,
|  | size_t | nr )

static

References casacore::ValueHolder::asuShort().

The documentation for this struct was generated from the following file:

- python/Converters/PycArrayNP.h